package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag767;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT767Creator;

public class TagC35GCreator extends AbsTagCreate {
    private MT767Creator mt767Creator;

    public TagC35GCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt767Creator = (MT767Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tagC35GValue = mt767Creator.getExpiryConditionEventOfC();
        mt767Creator.set("35G", tagC35GValue);
    }
}
